package cz.moneta.test.dsl.hypos.enums;

public enum ChecklistDocCategory {
    IDENTITY_GENERAL("doklady-general"),
    INSURANCE_GENERAL("pojisteni-general"),
    EXPENDITURE("vydaje"),
    INCOME_ALIMENT("aliment"),
    INCOME_RENTE("rente"),
    INCOME_PARENTAL_CONTRIBUTION("parental_contribution"),
    INCOME_DIETS("intl_driver_diets"),
    INCOME_OTHER_PENSION("other_pension"),
    INCOME_PROFIT_PORTION("profit_portion"),
    INCOME_BUSINESS("business"),
    INCOME_EMPLOYEE("main"),
    INCOME_RENTAL_ALLOWANCE_GROSS("rental_allowance_gross"),
    GENERAL_GENERAL("obecne-general"),
    PURPOSE_GENERAL("ucel"),
    ALLOC_COL("zajisteni");

    private final String checklistDocCategory;

    ChecklistDocCategory(String checklistDocCategory) {
        this.checklistDocCategory = checklistDocCategory;
    }

    public String getValue() {
        return checklistDocCategory;
    }
}